<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Playlist extends CI_Controller {

    public function __construct(){
        parent::__construct();
        $this->load->model('model_music');
    }

    public function index(){
        $playlists = $this->model_music->getPlaylist();
      //  $this->load->view('layout/header');
        $this->load->view('playlist_list', ['playlists' => $playlists]);
        $this->load->view('layout/footer');
    }

    public function view(){
        $playlists = $this->model_music->deletePlaylist();
        //$this->load->view('layout/header_album');
        $this->load->view('playlist_list', ['playlists' => $playlists]);
        $this->load->view('layout/footer');
    }

    public function SongPlaylist($playlist_id){
        $songPlaylists = $this->model_music->getSongOfPlaylist($playlist_id);
        //$this->load->view('layout/header_album');
        $this->load->view('song_playlist', ['songPlaylists' => $songPlaylists]);
        //$this->load->view('layout/footer_album');
    }

    public function delete($playlist_id) {
        $delete = $this->model_music->deletePlaylist($playlist_id);
        redirect('playlist');
    }

    public function MenuCreate() {
        //$this->load->view('layout/header_album');
        $this->load->view('create_playlist');
        $this->load->view('layout/footer');

    }

    public function createPlaylistController() {
        $name_playlist = $this->input->post('name_playlist');
        $create = $this->model_music->createPlaylist($name_playlist);
        redirect('playlist');
    }
}



